Skip to content
SENS Platform Docs

Create an immutable draft for the addressed global or tenant custom block.

POST
/v1/flow-blocks/{blockId}/versions
curl --request POST \
--url https://api.dev.iot-sens.schlossers.at/v1/flow-blocks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "category": "example", "inputs": [ { "key": "example", "schemaRef": "https://example.com", "required": true, "cardinality": "one" } ], "outputs": [ { "key": "example", "required": true, "schema": {}, "schemaRef": "https://example.com" } ], "parameterSchema": {}, "source": "example" }'
blockId
required
string format: uuid
Media typeapplication/json
object
name
required
string
>= 1 characters <= 200 characters
description
required
string
<= 500 characters
category
required
string
>= 1 characters <= 80 characters
inputs
required
Array<object>
<= 32 items
object
key
required
string
schemaRef
required
string format: uri
required
required
boolean
cardinality
required
string
Allowed value: one
outputs
required
Array<object>
>= 1 items <= 32 items
One of:
object
key
string
required
boolean
schema
required
object
schemaRef
string format: uri
parameterSchema
object
source
required
string
>= 1 characters <= 65536 characters

Draft version created.

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store